Bug 215895 - java.lang.Exception: Dangerous reflection access to sun.misc.Cleaner by class org.apache.lucene.store.MMapDirectory$1 detected!
java.lang.Exception: Dangerous reflection access to sun.misc.Cleaner by class...
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Launchers&CLI
7.2
PC Windows 7
: P3 with 2 votes (vote)
: 7.2.1
Assigned To: Jaroslav Havlin
issues@platform
72patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 16:53 UTC by Michel Graciano
Modified: 2013-03-25 19:57 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
IDE log (69.04 KB, application/octet-stream)
2012-07-24 16:53 UTC, Michel Graciano
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Graciano 2012-07-24 16:53:11 UTC
Created attachment 122311 [details]
IDE log

I was testing some modules at 7.2 and I saw this exception at my console. I was running the IDE inside another IDE, running a suite. Take a look at attached log for complete exception.
Comment 1 Michel Graciano 2012-07-24 16:57:36 UTC
The exception looks to be thrown after my project was scanned. It was a free form project.
Comment 2 Jaroslav Havlin 2012-07-26 07:43:11 UTC
Fixed in http://hg.netbeans.org/core-main/rev/3068362b02f0
Comment 3 Jaroslav Havlin 2012-07-26 08:03:34 UTC
Michel, please, can you verify the fix? Thank you.


I will need to graft these changesets to release72 branch:

http://hg.netbeans.org/core-main/rev/a684df2fe483 (bug 214019)
http://hg.netbeans.org/core-main/rev/578350dca79a (bug 215383)
http://hg.netbeans.org/core-main/rev/3068362b02f0

Jiri, is it OK?
Comment 4 Jiri Skrivanek 2012-07-26 08:11:07 UTC
Yes, please integrate entire whitelist into release72.
Comment 5 Jaroslav Havlin 2012-07-26 08:17:34 UTC
Sure, I'll integrate it once verified. Thank you, Jiri.
Comment 6 Michel Graciano 2012-07-26 12:22:38 UTC
(In reply to comment #3)
> Michel, please, can you verify the fix? Thank you.
> 

I will do this soon. Thanks.
Comment 7 Michel Graciano 2012-07-26 16:17:05 UTC
Looks OK to me. I will keep looking for it and let you know if I find out anything strange.

Thanks.

v. Build 20120726-4ff9dbb0b850
Comment 8 Jaroslav Havlin 2012-07-27 09:42:21 UTC
Integrated into release72 branch.

http://hg.netbeans.org/releases/rev/6401f90820c5 (whitelist)
http://hg.netbeans.org/releases/rev/2cc2d1cd8c9a (Thread$1)
http://hg.netbeans.org/releases/rev/bc4371d9f55b (MMapDirectory$1)
http://hg.netbeans.org/releases/rev/f3c30ad4b259 (version and description)

Thank you for your help.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo